debug.h File Reference

Go to the source code of this file.

## Namespaces

namespace | __gnu_debug
namespace | std
namespace | std::__debug

## Macros

#define | __glibcxx_requires_cond(_Cond, _Msg)
#define | __glibcxx_requires_heap(_First, _Last)
#define | __glibcxx_requires_heap_pred(_First, _Last, _Pred)
#define | __glibcxx_requires_non_empty_range(_First, _Last)
#define | __glibcxx_requires_nonempty()
#define | __glibcxx_requires_partitioned_lower(_First, _Last, _Value)
#define | __glibcxx_requires_partitioned_lower_pred(_First, _Last, _Value, _Pred)
#define | __glibcxx_requires_partitioned_upper(_First, _Last, _Value)
#define | __glibcxx_requires_partitioned_upper_pred(_First, _Last, _Value, _Pred)
#define | __glibcxx_requires_sorted(_First, _Last)
#define | __glibcxx_requires_sorted_pred(_First, _Last, _Pred)
#define | __glibcxx_requires_sorted_set(_First1, _Last1, _First2)
#define | __glibcxx_requires_sorted_set_pred(_First1, _Last1, _First2, _Pred)
#define | __glibcxx_requires_string(_String)
#define | __glibcxx_requires_string_len(_String, _Len)
#define | __glibcxx_requires_subscript(_N)
#define | __glibcxx_requires_valid_range(_First, _Last)
#define | _GLIBCXX_DEBUG_ASSERT(_Condition)
#define | _GLIBCXX_DEBUG_ONLY(_Statement)
#define | _GLIBCXX_DEBUG_PEDASSERT(_Condition)

## Detailed Description

This file is a GNU debug extension to the Standard C++ Library.

Definition in file debug.h.